Skip to main content
GET
/
datasets
/
{dataset_id}
/
metadata
Error
A valid request URL is required to generate request examples
{
  "doc_metadata": [
    {
      "id": "b5c6d7e8-f9a0-1b2c-3d4e-5f6a7b8c9d0e",
      "name": "author",
      "type": "string",
      "count": 3
    }
  ],
  "built_in_field_enabled": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

Response

200 - application/json

Metadata fields for the knowledge base.

doc_metadata
object[]

List of metadata field definitions.

built_in_field_enabled
boolean

Whether built-in metadata fields are enabled for this knowledge base.